package entities

import "errors"

// Domain errors
var (
	ErrInvalidUsername      = errors.New("username is required")
	ErrInvalidEmail         = errors.New("email is required")
	ErrInvalidPassword      = errors.New("password is required")
	ErrInvalidCounterName   = errors.New("counter name is required")
	ErrInvalidUserID        = errors.New("invalid user ID")
	ErrInvalidCounterID     = errors.New("invalid counter ID")
	ErrInvalidEntryValue    = errors.New("entry value cannot be zero")
	ErrUserNotFound         = errors.New("user not found")
	ErrCounterNotFound      = errors.New("counter not found")
	ErrCounterEntryNotFound = errors.New("counter entry not found")
	ErrUserAlreadyExists    = errors.New("user already exists")
	ErrInvalidCredentials   = errors.New("invalid credentials")
)
